/// <reference path="../../typings/index.d.ts" />
export declare class Application {
    private static instance;
    private express;
    Host: string;
    Port: number;
    Prefix: string;
    constructor();
    initializeExpress(): void;
    initializeErrorHandler(): void;
    onBeforeApplicationStart(): void;
    private registerGetRoutes(ResourceClass);
    private registerPostRoutes(ResourceClass);
    private registerPutRoutes(ResourceClass);
    private registerDeleteRoutes(ResourceClass);
    private constructCorrectType(req, paramDef);
    private getParamList(ResourceClass, methodName, req);
    private getPath(ResourceClass, getMethod);
    registerResource(ResourceClass: any): void;
    start(): void;
}
